visNetworkProxy {visNetwork} | R Documentation

## Send methods to a visNetwork instance in a Shiny app

### Description

Creates a visNetwork object that can be used to customize and control after rendering. For use in Shiny apps and Shiny docs only.

### Usage

    visNetworkProxy(shinyId, session = shiny::getDefaultReactiveDomain())

### Arguments

`shinyId` | single-element character vector indicating the shiny output ID of the network to modify
`session` | the Shiny session object to which the map belongs; usually the default value will suffice

### Details

With `visNetworkProxy`, you can use various methods like `visOptions`, `visNodes`, `visEdges`, `visPhysics`, ... and more with special call for `visNetworkProxy` object like `visFocus`, `visFit`, `visRedraw`.

### See Also

visNodes for nodes options, visEdges for edges options, visGroups for groups options, visLegend for adding legend, visOptions for custom option, visLayout & visHierarchicalLayout for layout, visPhysics for control physics, visInteraction for interaction, visNetworkProxy & visFocus & visFit for animation within shiny, visDocumentation, visEvents, visConfigure ...

### Examples

    ## Not run:

    # have a look to :
    shiny::runApp(system.file("shiny", package = "visNetwork"))

    ## End(Not run)

[Package visNetwork version 0.2.1 Index]